## org.eclipse.ocl.cst
Interface IsMarkedPreCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  IsMarkedPreCSImpl

    public interface IsMarkedPreCS

extends CSTNode

A representation of the model object 'Is Marked Pre CS'.

The following features are supported:

- `Pre`

See Also:
  `CSTPackage.getIsMarkedPreCS()`

Method Summary
`boolean` `isPre()` Returns the value of the 'Pre' attribute
`void` `setPre(boolean value)` Sets the value of the '`Pre`' attribute

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isPre

    boolean isPre()

  Returns the value of the 'Pre' attribute.

  If the meaning of the 'Pre' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pre' attribute.
  See Also:
    `setPre(boolean)`, `CSTPackage.getIsMarkedPreCS_Pre()`

### setPre

    void setPre(boolean value)

  Sets the value of the '`Pre`' attribute.

  Parameters:
    `value` - the new value of the 'Pre' attribute.
  See Also:
    `isPre()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.